#include <bits/stdc++.h>

using namespace std;

int main() 
{
    int n;
    int l;
    cin >> n >> l;
    
    int niz[n];
    int broj = -1;
    bool bio = false;
    
    for (int i = 0; i < n; i++)
    {
        cin >> niz[i];
        if (niz[i] <= l && !bio)
        {
            broj = i+1;
            bio = true;
        }
    }
    
    cout << broj << endl;
    
    return 0;
}